-- buffer.e
include myLibs/myDebug.e

sequence linearBuffers
linearBuffers = {}
  
--------------------------------------------------------------------------------

global function bufferNew()
  linearBuffers = append(linearBuffers, {})
  return length(linearBuffers)
end function

--------------------------------------------------------------------------------

global procedure bufferDestroy(integer buffer)
  linearBuffers[buffer] = 0
end procedure

--------------------------------------------------------------------------------

global procedure bufferClear(integer buffer)
  linearBuffers[buffer] = ""
end procedure

--------------------------------------------------------------------------------

global procedure bufferWrite(integer buffer, sequence s)
  linearBuffers[buffer] &= s
end procedure

--------------------------------------------------------------------------------

global function bufferRead(integer buffer)
  return linearBuffers[buffer]
end function

--------------------------------------------------------------------------------

global function bufferAvailable(integer buffer)
  return length(linearBuffers[buffer])
end function
